package com.ruoyi.project.pssr.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.pssr.domain.TPssrFrameModel;

/**
 * 支（吊）架Mapper接口
 * 
 * @author ssy
 * @date 2024-12-18
 */
public interface TPssrFrameModelMapper 
{
    /**
     * 查询支（吊）架
     * 
     * @param id 支（吊）架ID
     * @return 支（吊）架
     */
    public TPssrFrameModel selectTPssrFrameModelById(Long id);


    public List<TPssrFrameModel> selectTPssrFrameModelList(TPssrFrameModel tPssrFrameModel);

    /**
     * 新增支（吊）架
     * 
     * @param tPssrFrameModel 支（吊）架
     * @return 结果
     */
    public int insertTPssrFrameModel(TPssrFrameModel tPssrFrameModel);

    /**
     * 修改支（吊）架
     * 
     * @param tPssrFrameModel 支（吊）架
     * @return 结果
     */
    public int updateTPssrFrameModel(TPssrFrameModel tPssrFrameModel);

    /**
     * 删除支（吊）架
     * 
     * @param id 支（吊）架ID
     * @return 结果
     */
    public int deleteTPssrFrameModelById(Long id);

    /**
     * 批量删除支（吊）架
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTPssrFrameModelByIds(Long[] ids);
}
